Bug 2021242 - kernel warning: DMA-API: xhci_hcd "cacheline tracking EEXIST, overlapping mappings aren't supported"
Summary: kernel warning: DMA-API: xhci_hcd "cacheline tracking EEXIST, overlapping map...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-08 16:22 UTC by Andrew
Modified: 2022-12-13 15:48 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-13 15:48:49 UTC
Type: Bug


Attachments (Terms of Use)
full kernel log (200.64 KB, text/plain)
2021-11-08 16:22 UTC, Andrew
no flags Details

Description Andrew 2021-11-08 16:22:33 UTC
Created attachment 1840727 [details]
full kernel log

Have warning during boot using current debug kernel build from Fedora repos:  5.14.16-301.fc35.x86_64+debug
Can be reproduced, at least sometimes.
No third-party modules loaded for this moment.

Subject warning was absent on:  5.13.16-200.fc34.x86_64+debug

Another warning about "possible circular locking dependency" described here: bug #1950692


------------[ cut here ]------------
DMA-API: xhci_hcd 0000:07:00.3: cacheline tracking EEXIST, overlapping mappings aren't supported
WARNING: CPU: 4 PID: 57 at kernel/dma/debug.c:570 add_dma_entry+0x1bd/0x250
Modules linked in: crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel sp5100_tco ccp nvme r8169 nvme_core wmi fuse ipmi_devintf ipmi_msghandler
CPU: 4 PID: 57 Comm: kworker/4:2 Not tainted 5.14.16-301.fc35.x86_64+debug #1
Hardware name: ASUS System Product Name/TUF GAMING B550M-PLUS, BIOS 1401 12/03/2020
Workqueue: usb_hub_wq hub_event
RIP: 0010:add_dma_entry+0x1bd/0x250
Code: 10 48 85 ff 0f 84 99 00 00 00 4c 8b 67 50 4d 85 e4 74 56 e8 65 57 77 00 48 89 c6 4c 89 e2 48 c7 c7 10 80 5f 9f e8 0b 82 ba 00 <0f> 0b 48 85 ed 0f 85 28 2e bb 00 8b 05 b2 0e 0e 02 85 c0 0f 85 fc
RSP: 0018:ffffb671c03afa00 EFLAGS: 00010286
RAX: 0000000000000060 RBX: 00000000ffffffff RCX: 0000000000000000
RDX: ffff8e2b6bbea340 RSI: ffff8e2b6bbdaf60 RDI: ffff8e2b6bbdaf60
RBP: ffff8e1c81189f00 R08: 0000000000000001 R09: 0000000000000001
R10: ffffb671c03af838 R11: ffffffff9ff67068 R12: ffff8e1c82eff530
R13: 0000000000000206 R14: 0000000004374d30 R15: 00000000ffffffff
FS:  0000000000000000(0000) GS:ffff8e2b6ba00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055a3f8cf437c CR3: 0000000110500000 CR4: 0000000000350ee0
Call Trace:
 dma_map_page_attrs+0xd0/0x210
 ? lockdep_hardirqs_on_prepare+0xff/0x180
 ? _raw_spin_unlock_irqrestore+0x37/0x40
 usb_hcd_map_urb_for_dma+0x3c1/0x4f0
 usb_hcd_submit_urb+0x98/0xbd0
 ? lockdep_init_map_type+0x51/0x230
 ? lockdep_init_map_type+0x51/0x230
 usb_start_wait_urb+0x55/0x140
 usb_control_msg+0xc7/0x120
 usb_get_descriptor+0x85/0xd0
 usb_get_bos_descriptor+0x5c/0x260
 hub_port_init+0x768/0xc40
 hub_event+0x106e/0x1790
 process_one_work+0x2b0/0x5c0
 worker_thread+0x55/0x3c0
 ? process_one_work+0x5c0/0x5c0
 kthread+0x149/0x170
 ? set_kthread_struct+0x40/0x40
 ret_from_fork+0x22/0x30
irq event stamp: 16019
hardirqs last  enabled at (16029): [<ffffffff9e175074>] console_unlock+0x4c4/0x5e0
hardirqs last disabled at (16038): [<ffffffff9e174fbf>] console_unlock+0x40f/0x5e0
softirqs last  enabled at (15684): [<ffffffff9e0ef75c>] __irq_exit_rcu+0xec/0x110
softirqs last disabled at (15679): [<ffffffff9e0ef75c>] __irq_exit_rcu+0xec/0x110
---[ end trace 307733e465fb93c2 ]---
DMA-API: Mapped at:
 debug_dma_map_page+0x5b/0xf0
 dma_map_page_attrs+0xd0/0x210
 usb_hcd_map_urb_for_dma+0x3c1/0x4f0
 usb_hcd_submit_urb+0x98/0xbd0
 usb_start_wait_urb+0x55/0x140
usb 4-3.4.4.4: New USB device found, idVendor=2109, idProduct=0812, bcdDevice=90.91
usb 4-3.4.4.4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 4-3.4.4.4: Product: USB3.0 Hub             
usb 4-3.4.4.4: Manufacturer: VIA Labs, Inc.         
hub 4-3.4.4.4:1.0: USB hub found
hub 4-3.4.4.4:1.0: 4 ports detected

Comment 1 Andrew 2021-11-28 20:18:17 UTC
Still present on 5.14.18-300.fc35.x86_64+debug

Comment 2 Andrew 2022-01-06 17:44:33 UTC
5.15 has it as well: 5.15.12-200.fc35.x86_64+debug

Comment 3 Enrico Scholz 2022-03-03 16:59:00 UTC
with 5.17.0-0.rc6.20220302gitfb184c4af9b9.111.fc37.x86_64 too


[ 5929.936999] usb 1-5.4.4.4.1: FTDI USB Serial Device converter now attached to ttyUSB9
[ 6262.672633] ------------[ cut here ]------------
[ 6262.672639] DMA-API: xhci_hcd 0000:00:14.0: cacheline tracking EEXIST, overlapping mappings aren't supported
[ 6262.672647] WARNING: CPU: 4 PID: 19558 at kernel/dma/debug.c:570 add_dma_entry+0x1c7/0x250
[ 6262.672655] Modules linked in: pl2303 ftdi_sio xt_multiport xt_nat xt_mark veth rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache netfs tun bridge ipt_REJECT nf_reject_ipv4 xt_owner xt_pkttype xt_state xt_conntrack ip6_tables ip6t_REJECT nf_reject_ipv6 nft_chain_nat xt_addrtype xt_comment xt_MASQUERADE nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 nft_limit xt_limit xt_LOG nf_log_syslog nft_compat nf_tables nfnetlink bnep dm_crypt binfmt_misc intel_rapl_msr iTCO_wdt ee1004 intel_pmc_bxt iTCO_vendor_support mei_wdt mei_pxp mei_hdcp intel_rapl_common intel_tcc_cooling snd_hda_codec_hdmi x86_pkg_temp_thermal intel_powerclamp btusb snd_hda_codec_realtek coretemp btrtl snd_hda_codec_generic ledtrig_audio btbcm btintel uvcvideo btmtk snd_hda_intel kvm_intel snd_intel_dspcfg bluetooth videobuf2_vmalloc snd_intel_sdw_acpi videobuf2_memops snd_hda_codec videobuf2_v4l2 kvm snd_hda_core snd_hwdep videobuf2_common snd_seq videodev ecdh_generic mc irqbypass snd_seq_device rfkill snd_pcm rapl
[ 6262.672815]  intel_cstate intel_uncore snd_timer snd i2c_i801 soundcore i2c_smbus mei_me intel_pch_thermal ie31200_edac mei fujitsu_laptop sparse_keymap acpi_pad nfsd nfs_acl lockd auth_rpcgss grace sunrpc ip_tables dm_cache_smq dm_cache dm_bio_prison dm_persistent_data raid1 i915 crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel e1000e serio_raw ttm wmi video ums_realtek uas usb_storage ipmi_devintf ipmi_msghandler fuse ecryptfs i2c_dev overlay 8021q garp stp llc mrp
[ 6262.672905] CPU: 4 PID: 19558 Comm: minicom Kdump: loaded Tainted: G          I      --------- ---  5.17.0-0.rc6.20220302gitfb184c4af9b9.111.fc37.x86_64 #1
[ 6262.672909] Hardware name: FUJITSU CELSIUS_W550power/D3417-A2, BIOS V5.0.0.11 R1.29.0 for D3417-A2x                    01/27/2020
[ 6262.672912] RIP: 0010:add_dma_entry+0x1c7/0x250
[ 6262.672917] Code: ff 0f 84 97 00 00 00 48 8b 5f 50 48 85 db 75 03 48 8b 1f e8 6b 85 80 00 48 89 c6 48 89 da 48 c7 c7 18 ff 83 95 e8 1a 41 c7 00 <0f> 0b 48 85 ed 0f 85 7d f2 c7 00 8b 05 18 54 30 02 85 c0 0f 85 f4
[ 6262.672921] RSP: 0018:ffffbbc24c1d7ba8 EFLAGS: 00010296
[ 6262.672925] RAX: 0000000000000060 RBX: ffff902b4afbd3b0 RCX: 0000000000000000
[ 6262.672928] RDX: 0000000000000001 RSI: ffffffff958a08a0 RDI: 00000000ffffffff
[ 6262.672930] RBP: ffff902b49787800 R08: 0000000000000000 R09: ffffbbc24c1d79e0
[ 6262.672933] R10: ffffbbc24c1d79d8 R11: ffffffff96165128 R12: 0000000000000000
[ 6262.672935] R13: 0000000000000001 R14: 0000000000000206 R15: 000000000c998f27
[ 6262.672938] FS:  00007feee4fb3740(0000) GS:ffff90324da00000(0000) knlGS:0000000000000000
[ 6262.672941] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 6262.672944] CR2: 00007f2ddfc2d9f0 CR3: 00000001e7c38003 CR4: 00000000003706e0
[ 6262.672947] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 6262.672949] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[ 6262.672951] Call Trace:
[ 6262.672954]  <TASK>
[ 6262.672962]  dma_map_page_attrs+0x82/0x250
[ 6262.672968]  ? _raw_spin_unlock_irqrestore+0x30/0x60
[ 6262.672979]  usb_hcd_map_urb_for_dma+0x3eb/0x4f0
[ 6262.672989]  usb_hcd_submit_urb+0x9b/0xb90
[ 6262.673001]  ? lockdep_init_map_type+0x62/0x260
[ 6262.673016]  usb_start_wait_urb+0x55/0x130
[ 6262.673037]  usb_control_msg+0xc9/0x110
[ 6262.673048]  ftdi_get_modem_status+0x8b/0x100 [ftdi_sio]
[ 6262.673060]  ftdi_tiocmget+0x22/0x60 [ftdi_sio]
[ 6262.673067]  tty_ioctl+0x127/0x8d0
[ 6262.673073]  ? lock_is_held_type+0xea/0x140
[ 6262.673086]  ? security_file_ioctl+0x3c/0x60
[ 6262.673096]  __x64_sys_ioctl+0x8d/0xc0
[ 6262.673104]  do_syscall_64+0x3a/0x80
[ 6262.673110]  entry_SYSCALL_64_after_hwframe+0x44/0xae
[ 6262.673114] RIP: 0033:0x7feee50bd31b
[ 6262.673118] Code: ff ff ff 85 c0 79 9b 49 c7 c4 ff ff ff ff 5b 5d 4c 89 e0 41 5c c3 66 0f 1f 84 00 00 00 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d dd 2a 0f 00 f7 d8 64 89 01 48
[ 6262.673121] RSP: 002b:00007ffe26b8d758 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[ 6262.673125] RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007feee50bd31b
[ 6262.673127] RDX: 00007ffe26b8d76c RSI: 0000000000005415 RDI: 0000000000000005
[ 6262.673129] RBP: 0000000000000005 R08: 00007ffe26b8d770 R09: ffffffffffffff80
[ 6262.673132] R10: 0000000000000010 R11: 0000000000000246 R12: 00007ffe26b8d76c
[ 6262.673134] R13: 00007ffe26b8d770 R14: 0000000000000038 R15: 00007ffe26b8f559
[ 6262.673155]  </TASK>
[ 6262.673157] Kernel panic - not syncing: panic_on_warn set ...

Comment 4 Ben Cotton 2022-11-29 17:16:23 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 5 Ben Cotton 2022-12-13 15:48:49 UTC
Fedora Linux 35 entered end-of-life (EOL) status on 2022-12-13.

Fedora Linux 35 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.